#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from onf_website.shared.news.interfaces import INewsManager
from pyams_content.shared.common.interfaces import IManagerRestrictionsFactory

# import packages
from onf_website.shared.common.security import SharedToolManagerRestrictionInfo
from onf_website.shared.news import NewsEvent
from pyams_content.shared.news.manager import NewsManager as NewsManagerBase
from pyams_utils.adapter import adapter_config
from zope.interface import implementer


@implementer(INewsManager)
class NewsManager(NewsManagerBase):
    """News manager class"""

    shared_content_factory = NewsEvent


@adapter_config(context=INewsManager, provides=IManagerRestrictionsFactory)
def NewsManagerRestrictionsFactory(context):
    """News manager custom restrictions factory"""
    return SharedToolManagerRestrictionInfo
